// form.ts
import { z } from 'zod';

export const FirstStepSchema = z.object({
  firstName: z.string().min(3, "Eng kamida 3ta belgi bo'lishi kerak"),
  lastName: z.string().min(3, "Eng kamida 3ta belgi bo'lishi kerak"),
  address: z.string().min(3, "Eng kamida 3ta belgi bo'lishi kerak"),
  phoneNumber: z.string().min(12, 'Xato raqam kiritildi'),
  branchId: z.number().min(1, 'Filialni tanlang'),
  recommend: z.string().min(1, 'Majburiy maydon'),
});

export const SecondStepSchema = z.object({
  passportSeriya: z.string().length(2, { message: '2 ta harf kerak' }),
  birthDate: z.string().min(8, { message: 'Majburiy maydon' }),
  passportNumber: z.string().length(7, { message: '7 ta raqam kerak' }),
  jshshir: z.string().min(14, { message: '14 ta raqam kerak' }),
});

export type FirstStepFormType = z.infer<typeof FirstStepSchema>;
export type SecondStepFormType = z.infer<typeof SecondStepSchema>;
